from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

pyscf = PySCF(frag=no2, method="dft", scftype="rohf", functional="blyp",  basis="3-21g", mult=2)

sp = SP(theory=pyscf, gradients=False)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=verytightscf from Tcl-ChemShell
#eref = -203.89366581
# ORCA 5.0.3 
#eref = -203.89364412

#pyscf reference
eref = -203.893645476

testutils.validate(ecalc, eref, tol=1.36e-6)
